<?php declare(strict_types=1);

namespace App\Entity;

trait PurchasePriceTrait
{
	/**
	 * Set purchasePrice
	 *
	 * @param string $purchasePrice
	 */
	public function setPurchasePrice($purchasePrice): self
	{
		$this->purchasePrice = $purchasePrice;

		return $this;
	}

	/**
	 * Get purchasePrice
	 *
	 * @return string
	 */
	public function getPurchasePrice()
	{
		if (empty($this->purchasePrice)) {
			return 0;
		}

		return $this->purchasePrice;
	}
}
