<?php declare(strict_types=1);

namespace App\Entity;

use App\Repository\LensesRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * Camera.lenses
 */
#[ORM\Table(name: 'lenses', schema: 'camera')]
#[ORM\Entity(repositoryClass: LensesRepository::class)]
class Lenses
{
	use LensTrait;
	#[ORM\Column(name: 'id', type: 'integer', nullable: false)]
	#[ORM\Id]
	#[ORM\GeneratedValue(strategy: 'IDENTITY')]
	#[ORM\SequenceGenerator(sequenceName: 'camera.lenses_id_seq', allocationSize: 1, initialValue: 1)]
	private int $id;
	#[ORM\Column(name: 'received', type: 'boolean', nullable: false)]
	private bool $received = false;
	#[ORM\Column(name: 'formerly_owned', type: 'boolean', nullable: false)]
	private bool $formerlyOwned = false;
}
